Skip to content

Delete a file

DELETE
https://app.gitpando.com/v1/monorepos/{owner}/{monorepo}/repos/{repo}/releases/{tag}/files/{name}

Authorisation

  • credentialoptionalHTTP
  • sessionoptionalAPI key in cookie

Path parameters

  • ownerstringrequired

    The monorepo's owner, a namespace (a person's login or an organization). Matched without case.

    pattern: ^[a-z0-9](?:[a-z0-9]|-(?=[a-z0-9])){0,38}$
  • monorepostringrequired

    The monorepo's name within its owner (or an old name). Matched without case.

    pattern: ^[a-z0-9](?:[a-z0-9._]|-(?!-)){0,38}$
  • repostringrequired

    The repo's name (projects-web).

  • tagstringrequired
  • namestringrequired

    Letters, digits, '.', '_', '+' and '-', starting with a letter or digit; at most 200 characters.

Returns

204

Deleted

Navigation

Type to search…

↑↓ navigate↵ selectEsc close